%define upstream_name    Lazy-Util
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Objects encapsulating a set of lazy evaluation functions
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Lazy/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Perl utility functions for lazy evaluation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE README META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.4.0-3.mga9
+ Revision: 1811913
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.4.0-2.mga8
+ Revision: 1531327
- Mageia 8 Mass Rebuild

* Tue Sep 10 2019 shlomif <shlomif> 0.4.0-1.mga8
+ Revision: 1439445
- imported package perl-Lazy-Util


* Tue Sep 10 2019 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
